Name:           djmount
Version:        0.71
Release:        2%{?dist}
Summary:        Mount MediaServers content as a Linux file system
Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://djmount.sourceforge.net
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:  fuse-devel libupnp-devel libtalloc-devel

%description
djmount is a UPnP AV client. It mounts as a Linux file system the media content
of compatible UPnP AV devices. Djmount discovers automatically all UPnP AV
Media Servers on the network, and make the content available in a directory
tree. All shared files (e.g. Audio or Video files) are directly visible and
can be played using your favorite media player. 

%prep
%setup -q
iconv -f iso8859-1 -t utf-8 ChangeLog > ChangeLog.conv && \
 touch -r ChangeLog ChangeLog.conv && mv -f ChangeLog.conv ChangeLog
iconv -f iso8859-1 -t utf-8 AUTHORS > AUTHORS.conv && \
 touch -r AUTHORS AUTHORS.conv && mv -f AUTHORS.conv AUTHORS
iconv -f iso8859-1 -t utf-8 README > README.conv && \
 touch -r README README.conv && mv -f README.conv README
iconv -f iso8859-1 -t utf-8 THANKS > THANKS.conv && \
 touch -r THANKS THANKS.conv && mv -f THANKS.conv THANKS
iconv -f iso8859-1 -t utf-8 NEWS > NEWS.conv && \
 touch -r NEWS NEWS.conv && mv -f NEWS.conv NEWS

%build
%configure --with-external-talloc --with-external-libupnp
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING README NEWS AUTHORS ChangeLog TODO INSTALL THANKS search_help.txt
%{_bindir}/djmount

%changelog
* Sat Nov 27 2010 Jean-Francois Saucier <jsaucier@gmail.com> - 0.71-2
- Fix as per bug #583105 suggestion

* Tue Mar 16 2010 Jean-Francois Saucier <jfsaucier@infoglobe.ca> - 0.71-1
- Initial build for Fedora
